# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' lz4*.spec
%{!?dotests: %define dotests 1}

Summary:	User-friendly text console file manager and visual shell.
Name:		mc
Version:	4.8.26
Release: 	1	
License:	GPLv3
Group:		System Environment/Shells
Source0: 	http://ftp.midnight-commander.org/%{name}-%{version}.tar.bz2	
Patch0:		%{name}-4.8.20-aix.patch
#Patch1:         %{name}-4.8.23-vfs-aix.patch
Patch2:         %{name}-4.8.26-python-shebang.patch
URL:		http://www.ibiblio.org/mc/

BuildRequires:	make
BuildRequires:	gettext-devel >= 0.19.8.1-3
BuildRequires:	glib2-devel >= 2.56.1-3
BuildRequires:  slang-devel >= 2.3.1a-1
Requires:	gettext >= 0.19.8.1-3
Requires:	glib2 >= 2.56.1-3
Requires:       slang >= 2.3.1a-1
Requires:       libgcc >= 8.3.0

%description
Midnight Commander is a visual shell much like a file manager, only
with many more features. It is a text mode application, but it also
includes mouse support if you are running GPM. Midnight Commander's
best features are its ability to FTP, view tar and zip files, and to
poke into RPMs for specific files.


%prep
%setup -q
%patch0
#%patch1
%patch2


%build
export CC="gcc -maix64 -O2 -pthread"
export OBJECT_MODE=64
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}64 \
    --mandir=%{_mandir} \
    --enable-threads=posix \
    --enable-mclib \
    --with-screen=slang \
    --with-pcre=%{_prefix} \
    --with-x

gmake %{?_smp_mflags} V=1

if [ "%{dotests}" == 1 ]
then
     (gmake -k check || true)
fi


%install 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64

gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cp contrib/mc.sh contrib/mc.csh ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/*

# install charsets, bug #76486
cp misc/mc.charsets ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc doc/FAQ COPYING NEWS README
%{_bindir}/*
%{_libdir}64/*.a
%{_libexecdir}/%{name}
%{_mandir}/man1/*
%dir %{_mandir}/??
%dir %{_mandir}/??/man1
%{_mandir}/??/man1/*
%{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/mc.ext
%config(noreplace) %{_sysconfdir}/%{name}/*edit*
%config(noreplace) %{_sysconfdir}/%{name}/mc*.keymap
%config(noreplace) %{_sysconfdir}/%{name}/mc.menu*
%config(noreplace) %{_sysconfdir}/%{name}/*.ini
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*


%changelog
* Thu Jun 10 2021 Rishita Saha <risaha16@in.ibm.com> - 4.8.26-1
- Update to latest version

* Mon Feb 15 2021 Rishita Saha <risaha16@in.ibm.com> - 4.8.23-2
- rebuilt with glib2 version 2.56.1-3

* Fri Oct 25 2019 Ayappan P <ayappap2@in.ibm.com> - 4.8.23-1
- Port 4.8.23 to AIX Toolbox

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 4.8.20-1
- updated to version 4.8.20

* Wed Mar 08 2017 Michael Perzl <michael@perzl.org> - 4.8.19-1
- updated to version 4.8.19

* Thu Dec 08 2016 Michael Perzl <michael@perzl.org> - 4.8.18-1
- updated to version 4.8.18

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 4.7.0.4-2
- removed dependency on gettext >= 0.17

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 4.7.0.4-1
- updated to version 4.7.0.4

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 4.7.0.2-1
- updated to version 4.7.0.2

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 4.6.1-2
- fixed some directory permissions problems

* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 4.6.1-1
- first version for AIX V5.1 and higher
